Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.protocol.xocp.conversation.local
Interface Conversation

Deprecated. The Conversation interface represents a conversation in a c-space.

public interface Conversation

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Inner Class Summary
`static interface` | `Conversation.ConversationException` Deprecated. The ConversationException class represents a generic conversation exception.
`static interface` | `Conversation.InvalidMessageException` Deprecated. An InvalidMessageException is thrown if a published or received document is not valid for the conversation.
`static interface` | `Conversation.JoinException` Deprecated. A JoinException is thrown if an error occurred when joining a conversation.
`static interface` | `Conversation.LeaveException` Deprecated. A LeaveException is thrown if an error occurred when leaving a conversation.
`static interface` | `Conversation.PublishException` Deprecated. A PublishException is thrown if an error occurred when publishing a document in a conversation.
`static interface` | `Conversation.TerminateException` Deprecated. A TerminateException is thrown if an error occurred when terminating a conversation.
`static interface` | `Conversation.ValidationException` Deprecated. A ValidationException is thrown if an error occurred when validating a published or received document.

Field Summary
`static int` | `FAILURE` Deprecated. Conversation terminated with error.
`static int` | `SUCCESS` Deprecated. Conversation terminated successfully.

Method Summary
`CAInstance` | `getCA()` Deprecated. Gets the Collaboration Agreement associated with this conversation.
`XOCPEnablerSession` | `getEnablerSession()` Deprecated. Replaced by `getXOCPApplicationSession()`
`java.lang.String` | `getId()` Deprecated. Gets the conversation ID for this conversation.
`int` | `getState()` Deprecated. Get state of this conversation
`ConversationType` | `getType()` Deprecated. Gets the conversation type for this conversation.
`XOCPApplicationSession` | `getXOCPApplicationSession()` Deprecated. Gets the XOCP application session associated with this conversation.
`void` | `leave(boolean temporary)` Deprecated. Leaves this conversation.
`void` | `terminate(int result)` Deprecated. Terminates this conversation.
`void` | `waitForCompletion(int seconds)` Deprecated. Waits for the initiated conversation to end.

Field Detail

### SUCCESS

    public static final int SUCCESS

  Deprecated.
  Conversation terminated successfully.

### FAILURE

    public static final int FAILURE

  Deprecated.
  Conversation terminated with error.

Method Detail

### getId

    public java.lang.String getId()

  Deprecated.
  Gets the conversation ID for this conversation.

  Returns:
    String - Conversation ID.

### getCA

    public CAInstance getCA()

  Deprecated.
  Gets the Collaboration Agreement associated with this conversation.

  Returns:
    CAInstance - Collaboration Agreement instance.

### getType

    public ConversationType getType()

  Deprecated.
  Gets the conversation type for this conversation.

  Returns:
    ConversationType - Conversation type.

### getState

    public int getState()

  Deprecated.
  Get state of this conversation

  Returns:
    state
  See Also:
    `State`

### getEnablerSession

    public XOCPEnablerSession getEnablerSession()

  Deprecated. Replaced by `getXOCPApplicationSession()`
  Gets the c-enabler session associated with this conversation.

  Returns:
    XOCPEnablerSession - C-enabler session.

### getXOCPApplicationSession

    public XOCPApplicationSession getXOCPApplicationSession()

  Deprecated.
  Gets the XOCP application session associated with this conversation.

  Returns:
    XOCPApplicationSession - XOCP application session.

### leave

    public void leave(boolean temporary)
               throws Conversation.LeaveException

  Deprecated.
  Leaves this conversation. The initiator of a conversation cannot leave.

  Parameters:
    `temporary` - If true, stores messages on the c-hub until rejoining. If false (default), discards messages until rejoining.
  Throws:
    Conversation.LeaveException - If an error occurred when leaving this conversation.

### terminate

    public void terminate(int result)
                   throws Conversation.TerminateException

  Deprecated.
  Terminates this conversation.

  Parameters:
    `result` - Conversation termination result.
  Throws:
    Conversation.TerminateException - If an error occurred when terminating this conversation.

### waitForCompletion

    public void waitForCompletion(int seconds)
                           throws Conversation.ConversationException

  Deprecated.
  Waits for the initiated conversation to end.

  Parameters:
    `seconds` - Time to wait, in seconds.
  Throws:
    Conversation.ConversationException - If an error occurred when waiting for the conversation to end.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)